Bug 1719994 - [8.1.0] Registries.conf not configured to search registry.access.redhat.com
Summary: [8.1.0] Registries.conf not configured to search registry.access.redhat.com
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: podman
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 8.1
Assignee: Jindrich Novy
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1721232 1734574
TreeView+ depends on / blocked
 
Reported: 2019-06-12 21:50 UTC by Scott McCarty
Modified: 2019-11-05 21:02 UTC (History)
10 users (show)

Fixed In Version: skopeo-0.1.37-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1721232 (view as bug list)
Environment:
Last Closed: 2019-11-05 21:02:22 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3403 None None None 2019-11-05 21:02:48 UTC

Description Scott McCarty 2019-06-12 21:50:14 UTC
Description of problem:

The /etc/containers/registries.conf file is not configured to search registry.access.redhat.com so UBI and RHEL image pulls fail without authentication. We need this "unauthenticated" registry available for UBI in particular.


Version-Release number of selected component (if applicable):


Version:       1.0.2-dev
Go Version:    go1.11.5
OS/Arch:       linux/amd64

How reproducible:

100%


Steps to Reproduce:
1. [root@rhel8 registries.d]# podman pull ubi8

Output:



2.
3.

Actual results:

Trying to pull registry.redhat.io/ubi8:latest...Failed
Trying to pull quay.io/ubi8:latest...Failed
Trying to pull docker.io/ubi8:latest...Failed
error pulling image "ubi8": unable to pull ubi8: 3 errors occurred:

* Error determining manifest MIME type for docker://registry.redhat.io/ubi8:latest: unable to retrieve auth token: invalid username/password
* Error determining manifest MIME type for docker://quay.io/ubi8:latest: Error reading manifest latest in quay.io/ubi8: error parsing HTTP 404 response body: invalid character '<' looking for beginning of value: "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 3.2 Final//EN\">\n<title>404 Not Found</title>\n<h1>Not Found</h1>\n<p>The requested URL was not found on the server.  If you entered the URL manually please check your spelling and try again.</p>\n"
* Error determining manifest MIME type for docker://ubi8:latest: Error reading manifest latest in docker.io/library/ubi8: errors:
denied: requested access to the resource is denied
unauthorized: authentication required

Expected results:

Find and pull the image and cache it locally like normal.

Additional info:

Comment 3 Colin Walters 2019-06-13 14:41:33 UTC
> The /etc/containers/registries.conf file is not configured to search registry.access.redhat.com

Isn't that registry deprecated?  Why would we want to search it by default?

Comment 4 Daniel Walsh 2019-06-13 19:12:53 UTC
It was brought back from the Brink. UBI saved it.  We force users of registry.redhat.io to have a Red Hat license to access it,
But registry.access.redhat.com is open to anyone.
Since we want everyone to use UBI, we need to leave it on an Open Registry.

Comment 5 Scott McCarty 2019-06-13 19:17:57 UTC
Dan, is dead on. registry.redhat.io and registry.access.redhat.com are both backended by pulp, but moving to quay.io. Until registry.redhat.io moves to quay, we won't be able to support "unauthenticated" repositories for UBI. Even after we do eventually migrate (no timeline today), we will put redirects in place to make sure that registry.access.redhat.com doesn't break until the end of the RHEL 8 lifecycle. Where people get images from is sort of assumed to be part of the value prop of a long lifecycle of RHEL. AKA, people's stuff shouldn't break...

Comment 11 Joy Pu 2019-09-27 15:39:04 UTC
Can reproduce with podman-0.10.1.3-5.gitdb08685.el8+2131+7e3e9e07.x86_64. Test with podman-1.4.2-5.module+el8.1.0+4240+893c1ab8.x86_64, it works as expect. Details:
# podman pull ubi8
Trying to pull registry.redhat.io/ubi8...ERRO[0002] Error pulling image ref //registry.redhat.io/ubi8:latest: Error initializing source docker://registry.redhat.io/ubi8:latest: unable to retrieve auth token: invalid username/password 
Failed
Trying to pull registry.access.redhat.com/ubi8...Getting image source signatures
Copying blob c65691897a4d done
Copying blob 641d7cc5cbc4 done
Copying config 11f9dba4d1 done
Writing manifest to image destination
Storing signatures
11f9dba4d1bc7bbead64adb8fd73ea92dca5fac88a9b5c2c9796abcf2e97846d

Comment 13 errata-xmlrpc 2019-11-05 21:02:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3403


Note You need to log in before you can comment on or make changes to this bug.